Package org.lwjgl.opengl

# Class EXTGpuShader4

java.lang.Object
org.lwjgl.opengl.EXTGpuShader4

public final class EXTGpuShader4 extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_INT_SAMPLER_1D_ARRAY_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_SAMPLER_1D_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_SAMPLER_2D_ARRAY_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_SAMPLER_2D_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_SAMPLER_2D_RECT_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_SAMPLER_3D_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_SAMPLER_BUFFER_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_SAMPLER_CUBE_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_MAX_PROGRAM_TEXEL_OFFSET_EXT`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MIN_PROGRAM_TEXEL_OFFSET_EXT`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_SAMPLER_1D_ARRAY_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_SAMPLER_1D_ARRAY_SHADOW_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_SAMPLER_2D_ARRAY_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_SAMPLER_2D_ARRAY_SHADOW_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_SAMPLER_BUFFER_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_SAMPLER_CUBE_SHADOW_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_SAMPLER_1D_ARRAY_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_SAMPLER_1D_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_SAMPLER_2D_ARRAY_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_SAMPLER_2D_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_SAMPLER_2D_RECT_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_SAMPLER_3D_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_SAMPLER_BUFFER_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_SAMPLER_CUBE_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_VEC2_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_VEC3_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_VEC4_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_VERTEX_ATTRIB_ARRAY_INTEGER_EXT`
Accepted by the <pname> parameters of GetVertexAttribdv, GetVertexAttribfv, GetVertexAttribiv, GetVertexAttribIivEXT, and GetVertexAttribIuivEXT:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBindFragDataLocationEXT(int program, int colorNumber, CharSequence name)`
Overloads glBindFragDataLocationEXT.
`static void`
`glBindFragDataLocationEXT(int program, int colorNumber, ByteBuffer name)`
`static int`
`glGetFragDataLocationEXT(int program, CharSequence name)`
Overloads glGetFragDataLocationEXT.
`static int`
`glGetFragDataLocationEXT(int program, ByteBuffer name)`
`static void`
`glGetUniformuEXT(int program, int location, IntBuffer params)`
`static void`
`glGetVertexAttribIEXT(int index, int pname, IntBuffer params)`
`static void`
`glGetVertexAttribIuEXT(int index, int pname, IntBuffer params)`
`static void`
`glUniform1uEXT(int location, IntBuffer value)`
`static void`
`glUniform1uiEXT(int location, int v0)`
`static void`
`glUniform2uEXT(int location, IntBuffer value)`
`static void`
`glUniform2uiEXT(int location, int v0, int v1)`
`static void`
`glUniform3uEXT(int location, IntBuffer value)`
`static void`
`glUniform3uiEXT(int location, int v0, int v1, int v2)`
`static void`
`glUniform4uEXT(int location, IntBuffer value)`
`static void`
`glUniform4uiEXT(int location, int v0, int v1, int v2, int v3)`
`static void`
`glVertexAttribI1EXT(int index, IntBuffer v)`
`static void`
`glVertexAttribI1iEXT(int index, int x)`
`static void`
`glVertexAttribI1uEXT(int index, IntBuffer v)`
`static void`
`glVertexAttribI1uiEXT(int index, int x)`
`static void`
`glVertexAttribI2EXT(int index, IntBuffer v)`
`static void`
`glVertexAttribI2iEXT(int index, int x, int y)`
`static void`
`glVertexAttribI2uEXT(int index, IntBuffer v)`
`static void`
`glVertexAttribI2uiEXT(int index, int x, int y)`
`static void`
`glVertexAttribI3EXT(int index, IntBuffer v)`
`static void`
`glVertexAttribI3iEXT(int index, int x, int y, int z)`
`static void`
`glVertexAttribI3uEXT(int index, IntBuffer v)`
`static void`
`glVertexAttribI3uiEXT(int index, int x, int y, int z)`
`static void`
`glVertexAttribI4EXT(int index, ByteBuffer v)`
`static void`
`glVertexAttribI4EXT(int index, IntBuffer v)`
`static void`
`glVertexAttribI4EXT(int index, ShortBuffer v)`
`static void`
`glVertexAttribI4iEXT(int index, int x, int y, int z, int w)`
`static void`
`glVertexAttribI4uEXT(int index, ByteBuffer v)`
`static void`
`glVertexAttribI4uEXT(int index, IntBuffer v)`
`static void`
`glVertexAttribI4uEXT(int index, ShortBuffer v)`
`static void`
`glVertexAttribI4uiEXT(int index, int x, int y, int z, int w)`
`static void`
`glVertexAttribIPointerEXT(int index, int size, int type, int stride, long buffer_buffer_offset)`
`static void`
`glVertexAttribIPointerEXT(int index, int size, int type, int stride, ByteBuffer buffer)`
`static void`
`glVertexAttribIPointerEXT(int index, int size, int type, int stride, IntBuffer buffer)`
`static void`
`glVertexAttribIPointerEXT(int index, int size, int type, int stride, ShortBuffer buffer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_VERTEX_ATTRIB_ARRAY_INTEGER_EXT

public static final int GL_VERTEX_ATTRIB_ARRAY_INTEGER_EXT
Accepted by the <pname> parameters of GetVertexAttribdv, GetVertexAttribfv, GetVertexAttribiv, GetVertexAttribIivEXT, and GetVertexAttribIuivEXT:

See Also:
  - Constant Field Values

### GL_SAMPLER_1D_ARRAY_EXT

public static final int GL_SAMPLER_1D_ARRAY_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_SAMPLER_2D_ARRAY_EXT

public static final int GL_SAMPLER_2D_ARRAY_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_SAMPLER_BUFFER_EXT

public static final int GL_SAMPLER_BUFFER_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_SAMPLER_1D_ARRAY_SHADOW_EXT

public static final int GL_SAMPLER_1D_ARRAY_SHADOW_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_SAMPLER_2D_ARRAY_SHADOW_EXT

public static final int GL_SAMPLER_2D_ARRAY_SHADOW_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_SAMPLER_CUBE_SHADOW_EXT

public static final int GL_SAMPLER_CUBE_SHADOW_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_VEC2_EXT

public static final int GL_UNSIGNED_INT_VEC2_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_VEC3_EXT

public static final int GL_UNSIGNED_INT_VEC3_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_VEC4_EXT

public static final int GL_UNSIGNED_INT_VEC4_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_SAMPLER_1D_EXT

public static final int GL_INT_SAMPLER_1D_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_SAMPLER_2D_EXT

public static final int GL_INT_SAMPLER_2D_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_SAMPLER_3D_EXT

public static final int GL_INT_SAMPLER_3D_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_SAMPLER_CUBE_EXT

public static final int GL_INT_SAMPLER_CUBE_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_SAMPLER_2D_RECT_EXT

public static final int GL_INT_SAMPLER_2D_RECT_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_SAMPLER_1D_ARRAY_EXT

public static final int GL_INT_SAMPLER_1D_ARRAY_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_SAMPLER_2D_ARRAY_EXT

public static final int GL_INT_SAMPLER_2D_ARRAY_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_SAMPLER_BUFFER_EXT

public static final int GL_INT_SAMPLER_BUFFER_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_1D_EXT

public static final int GL_UNSIGNED_INT_SAMPLER_1D_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_2D_EXT

public static final int GL_UNSIGNED_INT_SAMPLER_2D_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_3D_EXT

public static final int GL_UNSIGNED_INT_SAMPLER_3D_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_CUBE_EXT

public static final int GL_UNSIGNED_INT_SAMPLER_CUBE_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_2D_RECT_EXT

public static final int GL_UNSIGNED_INT_SAMPLER_2D_RECT_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_1D_ARRAY_EXT

public static final int GL_UNSIGNED_INT_SAMPLER_1D_ARRAY_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_2D_ARRAY_EXT

public static final int GL_UNSIGNED_INT_SAMPLER_2D_ARRAY_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_BUFFER_EXT

public static final int GL_UNSIGNED_INT_SAMPLER_BUFFER_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_MIN_PROGRAM_TEXEL_OFFSET_EXT

public static final int GL_MIN_PROGRAM_TEXEL_OFFSET_EXT
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_PROGRAM_TEXEL_OFFSET_EXT

public static final int GL_MAX_PROGRAM_TEXEL_OFFSET_EXT
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

## Method Details

### glVertexAttribI1iEXT

public static void glVertexAttribI1iEXT(int index, int x)

### glVertexAttribI2iEXT

public static void glVertexAttribI2iEXT(int index, int x, int y)

### glVertexAttribI3iEXT

public static void glVertexAttribI3iEXT(int index, int x, int y, int z)

### glVertexAttribI4iEXT

public static void glVertexAttribI4iEXT(int index, int x, int y, int z, int w)

### glVertexAttribI1uiEXT

public static void glVertexAttribI1uiEXT(int index, int x)

### glVertexAttribI2uiEXT

public static void glVertexAttribI2uiEXT(int index, int x, int y)

### glVertexAttribI3uiEXT

public static void glVertexAttribI3uiEXT(int index, int x, int y, int z)

### glVertexAttribI4uiEXT

public static void glVertexAttribI4uiEXT(int index, int x, int y, int z, int w)

### glVertexAttribI1EXT

public static void glVertexAttribI1EXT(int index, IntBuffer v)

### glVertexAttribI2EXT

public static void glVertexAttribI2EXT(int index, IntBuffer v)

### glVertexAttribI3EXT

public static void glVertexAttribI3EXT(int index, IntBuffer v)

### glVertexAttribI4EXT

public static void glVertexAttribI4EXT(int index, IntBuffer v)

### glVertexAttribI1uEXT

public static void glVertexAttribI1uEXT(int index, IntBuffer v)

### glVertexAttribI2uEXT

public static void glVertexAttribI2uEXT(int index, IntBuffer v)

### glVertexAttribI3uEXT

public static void glVertexAttribI3uEXT(int index, IntBuffer v)

### glVertexAttribI4uEXT

public static void glVertexAttribI4uEXT(int index, IntBuffer v)

### glVertexAttribI4EXT

public static void glVertexAttribI4EXT(int index, ByteBuffer v)

### glVertexAttribI4EXT

public static void glVertexAttribI4EXT(int index, ShortBuffer v)

### glVertexAttribI4uEXT

public static void glVertexAttribI4uEXT(int index, ByteBuffer v)

### glVertexAttribI4uEXT

public static void glVertexAttribI4uEXT(int index, ShortBuffer v)

### glVertexAttribIPointerEXT

public static void glVertexAttribIPointerEXT(int index, int size, int type, int stride, ByteBuffer buffer)

### glVertexAttribIPointerEXT

public static void glVertexAttribIPointerEXT(int index, int size, int type, int stride, IntBuffer buffer)

### glVertexAttribIPointerEXT

public static void glVertexAttribIPointerEXT(int index, int size, int type, int stride, ShortBuffer buffer)

### glVertexAttribIPointerEXT

public static void glVertexAttribIPointerEXT(int index, int size, int type, int stride, long buffer_buffer_offset)

### glGetVertexAttribIEXT

public static void glGetVertexAttribIEXT(int index, int pname, IntBuffer params)

### glGetVertexAttribIuEXT

public static void glGetVertexAttribIuEXT(int index, int pname, IntBuffer params)

### glUniform1uiEXT

public static void glUniform1uiEXT(int location, int v0)

### glUniform2uiEXT

public static void glUniform2uiEXT(int location, int v0, int v1)

### glUniform3uiEXT

public static void glUniform3uiEXT(int location, int v0, int v1, int v2)

### glUniform4uiEXT

public static void glUniform4uiEXT(int location, int v0, int v1, int v2, int v3)

### glUniform1uEXT

public static void glUniform1uEXT(int location, IntBuffer value)

### glUniform2uEXT

public static void glUniform2uEXT(int location, IntBuffer value)

### glUniform3uEXT

public static void glUniform3uEXT(int location, IntBuffer value)

### glUniform4uEXT

public static void glUniform4uEXT(int location, IntBuffer value)

### glGetUniformuEXT

public static void glGetUniformuEXT(int program, int location, IntBuffer params)

### glBindFragDataLocationEXT

public static void glBindFragDataLocationEXT(int program, int colorNumber, ByteBuffer name)

### glBindFragDataLocationEXT

public static void glBindFragDataLocationEXT(int program, int colorNumber, CharSequence name)
Overloads glBindFragDataLocationEXT.

### glGetFragDataLocationEXT

public static int glGetFragDataLocationEXT(int program, ByteBuffer name)

### glGetFragDataLocationEXT

public static int glGetFragDataLocationEXT(int program, CharSequence name)
Overloads glGetFragDataLocationEXT.